Bug 973962 - [Docs] [Install] Host installation / subscribing using RHSM doesn't enumerate required channels
[Docs] [Install] Host installation / subscribing using RHSM doesn't enumerate...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: 3.3.0
Assigned To: Andrew Dahms
Tahlia Richardson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 03:47 EDT by David Jaša
Modified: 2015-09-22 09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-25 02:38:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-06-13 03:47:02 EDT
Description of problem:
https://access.redhat.com/site/documentation//en-US/Red_Hat_Enterprise_Virtualization/3.2/html/Installation_Guide/Subscribing_to_Required_Channels_using_Subscription_Manager1.html

the guide at URI above lacks mention of channels that need to be enabled so that vdsm & friends can be installed. Next chapter - subscribing using RHN classic, lists the channels.

I presume that the channels are rhel-6-server-rpms and rhel-6-server-rhev-mgmt-agent-rpms but it should be mentioned explicitly.

Version-Release number of selected component (if applicable):
3.2.0

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Tim Hildred 2013-07-28 23:43:53 EDT
Moving to 3.3, will fix there and backport as resources allow.
Comment 6 Tim Hildred 2013-09-30 02:51:56 EDT
Hey Kiril, 

I'm hoping you can shed some light on this bug. 

Please, help me!
Comment 8 Tim Hildred 2013-10-08 08:41:01 EDT
Jay, can you help me figure this out?
Comment 9 Jay Greguske 2013-10-08 09:15:02 EDT
The resolution in c5 is correct. You do need to enable rhel-6-server-rhev-mgmt-agent-rpms first before you can install vdsm & friends.
Comment 10 Chris Negus 2013-11-26 16:18:56 EST
In section 9.3.2 of the RHEV Installation Guide (https://access.redhat.com/site/documentation//en-US/Red_Hat_Enterprise_Virtualization/3.2/html/Installation_Guide/Subscribing_to_Required_Channels_using_Subscription_Manager1.html) I believe all you need to do is add a step 4. 
Please add this to the guide. This is an easy fix and it overcomes a complete failure of the host to register.

-------------
4. Enable Repository
   Run the following command to enable the RHEV Management Agents (RPMs) repository:

 # subscription-manager repos --enable=rhel-6-server-mgmt-agent-rpms
-------------
Comment 11 Andrew Dahms 2014-02-16 19:06:52 EST
Fixed in 10233.
Comment 12 Andrew Dahms 2014-02-17 23:49:43 EST
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Installation_Guide/index.html#Subscribing_to_Required_Channels_using_Subscription_Manager1

What Changed
------------------------------
The following topic was revised as requested to add the new step for enabling the RHEV Management Agents repo.

Subscribing to Required Channels using Subscription Manager [ 10233-580533 ]

Updated revision history: [ 21134-590363 ]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Installation_Guide-3.3-en-US-3.3-38

Moving to ON_QA.
Comment 13 Tahlia Richardson 2014-07-25 02:38:13 EDT
Peer reviewed. 

The step in comment 10 has been added. 

VERIFIED

Note You need to log in before you can comment on or make changes to this bug.